Results 1 to 4 of 4

Thread: 18.04 alpha1: Conky not compiled with Cairo enabled

  1. #1
    Join Date
    Feb 2007
    Location
    Waltham, MA
    Beans
    78
    Distro
    Ubuntu 20.04 Focal Fossa

    18.04 alpha1: Conky not compiled with Cairo enabled

    I have been using Conky since Ubuntu 16.04 as a replacement for Screenlets, and my current Conky configuration utilizes Cairo calls. After installing Ubuntu 18.04 alpha1, I installed Conky from the repository. I found the current version has not been built with Cairo enabled. Please correct this.

    Kind regards,

    Curt

  2. #2
    Join Date
    Aug 2009
    Beans
    1,211
    Distro
    Ubuntu Development Release

    Re: 18.04 alpha1: Conky not compiled with Cairo enabled

    The version of conky in 18.04 is currently the same as in 17.10. Does it work in 17.10?

    Conky is maintained in Debian so you may want to report bugs there.

  3. #3
    Join Date
    Mar 2017
    Beans
    1,018

    Re: 18.04 alpha1: Conky not compiled with Cairo enabled

    Did you install the package conky or conky-all?
    conky-all has most compile options enabled.
    Tested in latest Bionic daily.
    Code:
    ubuntu@ubuntu:~$ apt policy conky-all
    conky-all:
      Installed: 1.10.6-1.1
      Candidate: 1.10.6-1.1
      Version table:
     *** 1.10.6-1.1 500
            500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
            100 /var/lib/dpkg/status
    ubuntu@ubuntu:~$ conky --version
    conky 1.10.6 compiled Thu Sep 14 05:41:34 UTC 2017 for Linux 4.4.0-93-generic x86_64
    
    Compiled in features:
    
    System config file: /etc/conky/conky.conf
    Package library path: /usr/lib/conky
    
    
     General:
      * math
      * hddtemp
      * portmon
      * IPv6
      * Curl
      * RSS
      * Weather (METAR)
      * Weather (XOAP)
      * wireless
      * support for IBM/Lenovo notebooks
      * nvidia
      * eve-online
      * builtin default configuration
      * old configuration syntax
      * Imlib2
      * apcupsd
      * iostats
      * ncurses
      * Internationalization support
      * PulseAudio
    
     Lua bindings:
      * Cairo
      * Imlib2
      * RSVG
     X11:
      * Xdamage extension
      * Xinerama extension (virtual display)
      * XDBE (double buffer extension)
      * Xft
      * ARGB visual
      * Own window
    
     Music detection:
      * Audacious
      * MPD
      * MOC
      * XMMS2
    
     Default values:
      * Netdevice: eth0
      * Local configfile: $HOME/.conkyrc
      * Localedir: /usr/share/locale
      * Maximum netdevices: 64
      * Maximum text size: 16384
      * Size text buffer: 256
    "conky" installs conky-std which has fewer options enabled.(you may have forgotten this)
    Installing conky-all will replace the conky-std version.
    Code:
    sudo apt install conky-all
    Last edited by again?; January 19th, 2018 at 03:45 AM.

  4. #4
    Join Date
    Feb 2007
    Location
    Waltham, MA
    Beans
    78
    Distro
    Ubuntu 20.04 Focal Fossa

    Re: 18.04 alpha1: Conky not compiled with Cairo enabled

    Thank you, installing conky-all fixed my issue. I had initially installed conky using 'apt install conky' prior to installing Synaptic, so I wasn't aware this had in fact installed conky-std. Installing conky-all replaced conky-std.

    Best regards,

    Curt

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •